> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselumina.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingestion API

> OTLP trace ingestion API reference

OTLP trace ingestion endpoint.

***

## Endpoint

```
POST /v1/traces
```

***

## Request Format

Accepts OTLP/JSON format:

```json theme={null}
{
  "resourceSpans": [{
    "resource": {
      "attributes": [{
        "key": "service.name",
        "value": { "stringValue": "my-service" }
      }]
    },
    "scopeSpans": [{
      "spans": [{
        "traceId": "...",
        "spanId": "...",
        "name": "llm_call",
        "attributes": [...]
      }]
    }]
  }]
}
```

***

## Response

**Success (200):**

```json theme={null}
{
  "status": "ok",
  "tracesReceived": 1
}
```

**Error (400):**

```json theme={null}
{
  "error": "Invalid OTLP format",
  "details": "..."
}
```
